# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['Linux/Qt6']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kdeclarative': '@latest-kf6'
    'frameworks/kguiaddons': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kfilemetadata': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/purpose': '@latest-kf6'
    'libraries/kirigami-addons': '@latest-kf6'
    'libraries/kquickimageeditor': '@latest-kf6'

Options:
  require-passing-tests-on: [ '@all' ]
